/**
 * This file is part of the NocoBase (R) project.
 * Copyright (c) 2020-2024 NocoBase Co., Ltd.
 * Authors: NocoBase Team.
 *
 * This project is dual-licensed under AGPL-3.0 and NocoBase Commercial License.
 * For more information, please refer to: https://www.nocobase.com/agreement.
 */
import { MultiRecordResource, SingleRecordResource } from '@nocobase/flow-engine';
import React from 'react';
import { BlockGridModel, CollectionBlockModel, RecordActionModel } from '../../base';
import { DetailsGridModel } from './DetailsGridModel';
export declare class DetailsBlockModel extends CollectionBlockModel<{
    parent?: BlockGridModel;
    subModels?: {
        grid: DetailsGridModel;
        actions?: RecordActionModel[];
    };
}> {
    static scene: import("../../base").BlockSceneType;
    private hadSingleRecordData;
    private hasMultiRefreshDispatched;
    _defaultCustomModelClasses: {
        RecordActionGroupModel: string;
        DetailsItemModel: string;
        DetailsAssociationFieldGroupModel: string;
        DetailsCustomItemModel: string;
    };
    customModelClasses: {};
    createResource(ctx: any, params: any): SingleRecordResource<unknown> | MultiRecordResource<unknown>;
    onInit(options: any): void;
    isMultiRecordResource(): boolean;
    hasDispatchedMultiRefresh(): boolean;
    getCurrentRecord(): any;
    hasAvailableData(): boolean;
    handlePageChange: (page: number) => Promise<void>;
    refresh(): Promise<void>;
    renderPagination(): React.JSX.Element;
    renderConfigureActions(): React.JSX.Element;
    renderComponent(): React.JSX.Element;
}
